{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": "interconverter.sh",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/epigenomic_screw/screw"
                }
            ],
            "arguments": [
                "-d",
                "$(runtime.outdir)"
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-f"
                    },
                    "id": "#interconverter.cwl/format"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#interconverter.cwl/toConvert"
                }
            ],
            "id": "#interconverter.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.meth"
                    },
                    "id": "#interconverter.cwl/converted"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "tsvToBigWig.R",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/epigenomic_screw/screw"
                }
            ],
            "arguments": [
                "-d",
                "$(runtime.outdir)"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#methToBigWig.cwl/toConvert"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.cov.bw"
                    },
                    "id": "#methToBigWig.cwl/covBW"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.prop_meth.bw"
                    },
                    "id": "#methToBigWig.cwl/methBW"
                }
            ],
            "id": "#methToBigWig.cwl"
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/format"
                },
                {
                    "type": "File",
                    "id": "#main/toConvert"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/mergeSymmetric/combined",
                    "id": "#main/combined"
                },
                {
                    "type": "File",
                    "outputSource": "#main/convertMethylation/converted",
                    "id": "#main/converted"
                },
                {
                    "type": "File",
                    "outputSource": "#main/methylationBigWIG/covBW",
                    "id": "#main/covBW"
                },
                {
                    "type": "File",
                    "outputSource": "#main/methylationBigWIG/methBW",
                    "id": "#main/methBW"
                }
            ],
            "steps": [
                {
                    "run": "#interconverter.cwl",
                    "in": [
                        {
                            "source": "#main/format",
                            "id": "#main/convertMethylation/format"
                        },
                        {
                            "source": "#main/toConvert",
                            "id": "#main/convertMethylation/toConvert"
                        }
                    ],
                    "out": [
                        "#main/convertMethylation/converted"
                    ],
                    "id": "#main/convertMethylation"
                },
                {
                    "run": "#symmetriccpgs.cwl",
                    "in": [
                        {
                            "source": "#main/convertMethylation/converted",
                            "id": "#main/mergeSymmetric/toCombine"
                        }
                    ],
                    "out": [
                        "#main/mergeSymmetric/combined"
                    ],
                    "id": "#main/mergeSymmetric"
                },
                {
                    "run": "#methToBigWig.cwl",
                    "in": [
                        {
                            "source": "#main/mergeSymmetric/combined",
                            "id": "#main/methylationBigWIG/toConvert"
                        }
                    ],
                    "out": [
                        "#main/methylationBigWIG/methBW",
                        "#main/methylationBigWIG/covBW"
                    ],
                    "id": "#main/methylationBigWIG"
                }
            ],
            "id": "#main"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "symmetriccpgs.sh",
            "arguments": [
                "-d",
                "$(runtime.outdir)"
            ],
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/epigenomic_screw/screw"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#symmetriccpgs.cwl/toCombine"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.sym"
                    },
                    "id": "#symmetriccpgs.cwl/combined"
                }
            ],
            "id": "#symmetriccpgs.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
